/*
 * $Id: AlignmentProcess.java 16 2004-04-18 20:31:46Z euzenat $
 *
 * Copyright (C) INRIA Rhne-Alpes, 2003-2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

package org.semanticweb.owl.align; 

import java.io.PrintStream;
import java.io.IOException;

import org.xml.sax.ContentHandler;
import org.xml.sax.SAXException;

import org.semanticweb.owl.model.OWLOntology;
import org.semanticweb.owl.model.OWLEntity;
import org.semanticweb.owl.model.OWLException;

/**
 * Represents an OWL ontology alignment.
 *
 * @author Jrme Euzenat
 * @version $Id: AlignmentProcess.java 16 2004-04-18 20:31:46Z euzenat $ 
 */

public interface AlignmentProcess extends Alignment
{
    /** Processing **/
    /**
     * The align method computes the alignment from the ontologies.
     * It is hightly dependent on the implementation.
     * It take an initial Alignment as input.
     * TODO: a set of parameters should better be passed to the alignment
     * method.
     */
    public void align( Alignment alignment, Parameters param ) throws AlignmentException, OWLException;

}

